Determining if the pthread_create exist failed with the following output:
Change Dir: /home/os2/os2/os2/ECLASS/x06_LAB_ARDUINO_PT_SERIAL_IP/000_1_LW_THREADS/06_TINY_THREADS/tinycthread-master/build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/gmake" "cmTC_605b6/fast"
/usr/bin/gmake -f CMakeFiles/cmTC_605b6.dir/build.make CMakeFiles/cmTC_605b6.dir/build
gmake[1]: Entering directory '/home/os2/os2/os2/ECLASS/x06_LAB_ARDUINO_PT_SERIAL_IP/000_1_LW_THREADS/06_TINY_THREADS/tinycthread-master/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_605b6.dir/CheckSymbolExists.c.o
/usr/bin/cc     -o CMakeFiles/cmTC_605b6.dir/CheckSymbolExists.c.o   -c /home/os2/os2/os2/ECLASS/x06_LAB_ARDUINO_PT_SERIAL_IP/000_1_LW_THREADS/06_TINY_THREADS/tinycthread-master/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c
Linking C executable cmTC_605b6
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_605b6.dir/link.txt --verbose=1
/usr/bin/cc       CMakeFiles/cmTC_605b6.dir/CheckSymbolExists.c.o  -o cmTC_605b6 -rdynamic 
/usr/lib64/gcc/x86_64-suse-linux/4.8/../../../../x86_64-suse-linux/bin/ld: CMakeFiles/cmTC_605b6.dir/CheckSymbolExists.c.o: in function `main':
CheckSymbolExists.c:(.text+0x16): undefined reference to `pthread_create'
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_605b6.dir/build.make:97: recipe for target 'cmTC_605b6' failed
gmake[1]: *** [cmTC_605b6] Error 1
gmake[1]: Leaving directory '/home/os2/os2/os2/ECLASS/x06_LAB_ARDUINO_PT_SERIAL_IP/000_1_LW_THREADS/06_TINY_THREADS/tinycthread-master/build/CMakeFiles/CMakeTmp'
Makefile:126: recipe for target 'cmTC_605b6/fast' failed
gmake: *** [cmTC_605b6/fast] Error 2

File /home/os2/os2/os2/ECLASS/x06_LAB_ARDUINO_PT_SERIAL_IP/000_1_LW_THREADS/06_TINY_THREADS/tinycthread-master/build/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <pthread.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef pthread_create
  return ((int*)(&pthread_create))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /home/os2/os2/os2/ECLASS/x06_LAB_ARDUINO_PT_SERIAL_IP/000_1_LW_THREADS/06_TINY_THREADS/tinycthread-master/build/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/gmake" "cmTC_e4e29/fast"
/usr/bin/gmake -f CMakeFiles/cmTC_e4e29.dir/build.make CMakeFiles/cmTC_e4e29.dir/build
gmake[1]: Entering directory '/home/os2/os2/os2/ECLASS/x06_LAB_ARDUINO_PT_SERIAL_IP/000_1_LW_THREADS/06_TINY_THREADS/tinycthread-master/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_e4e29.dir/CheckFunctionExists.c.o
/usr/bin/cc    -DCHECK_FUNCTION_EXISTS=pthread_create   -o CMakeFiles/cmTC_e4e29.dir/CheckFunctionExists.c.o   -c /usr/share/cmake/Modules/CheckFunctionExists.c
Linking C executable cmTC_e4e29
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_e4e29.dir/link.txt --verbose=1
/usr/bin/cc   -DCHECK_FUNCTION_EXISTS=pthread_create    CMakeFiles/cmTC_e4e29.dir/CheckFunctionExists.c.o  -o cmTC_e4e29 -rdynamic -lpthreads 
/usr/lib64/gcc/x86_64-suse-linux/4.8/../../../../x86_64-suse-linux/bin/ld: cannot find -lpthreads
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_e4e29.dir/build.make:97: recipe for target 'cmTC_e4e29' failed
gmake[1]: *** [cmTC_e4e29] Error 1
gmake[1]: Leaving directory '/home/os2/os2/os2/ECLASS/x06_LAB_ARDUINO_PT_SERIAL_IP/000_1_LW_THREADS/06_TINY_THREADS/tinycthread-master/build/CMakeFiles/CMakeTmp'
Makefile:126: recipe for target 'cmTC_e4e29/fast' failed
gmake: *** [cmTC_e4e29/fast] Error 2


